
#language: ru

@SalesOfProducts

Функционал: 022. SalesOfProducts. Проверка заказа с помеченным на удаление этапом

Сценарий: 022.1. SalesOfProducts. Пометка на удаление этапа заказа клиента Подтверждено

	Дано Я подключаюсь под "Администратор"
	Дано я устанавливаю текущему сеансу заголовок приложения "13.022. Реализация товаров"
	И В командном интерфейсе я выбираю 'Заказы' 'Настройки исполнения заказов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И я нажимаю на кнопку 'Этапы документов'
	Тогда открылось окно 'Этапы документов'
	И в таблице "Список" я перехожу к строке:
		| 'Используется для' | 'Наименование'                   |
		| 'Заказ клиента'    | 'Подтвержденный - Заказ клиента' |
	И я выбираю пункт контекстного меню с именем 'СписокКонтекстноеМенюУстановитьПометкуУдаления' на элементе формы с именем "Список"
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Этапы документов'
	И Я закрываю окно 'Этапы документов'
	Тогда открылось окно 'Настройки исполнения заказов'
	И Я закрываю окно 'Настройки исполнения заказов'

Сценарий: 022.2. SalesOfProducts. Проверка заказа клиента с помеченным на удаление этапом

	* Открытие заказа
		И В командном интерфейсе я выбираю 'Заказы' 'Заказы клиентов'
		Тогда открылось окно 'Заказы клиентов'
		И в таблице "Список" я перехожу к строке:
			| 'Комментарий'                                      |
			| 'Заказ Обычного покупателя для реализации вручную' |
		И в таблице "Список" я выбираю текущую строку
		Тогда открылось окно 'Заказ клиента * от * [Создан]'
	* Проверка отсутствия этапа в табличной части
		И таблица "Товары" стала равной:
			| 'Количество' | 'Номенклатура'   | 'Исходный - Заказ клиента' | 'Ед.' | 'Характеристика'   | 'Сумма, RUB' | 'Серия' | 'В ед. хранения' | 'Цена, RUB' | 'Цена со скидкой' | '% НДС' | 'НДС, RUB' | 'Всего, RUB' | 'Вес, кг' | 'Склад отгрузки' |
			| '10,000'     | 'Сыр Адыгейский' | '15,000'                   | 'кг'  | '<Без маркировки>' | '850,00'     | ''      | '10,000, кг'     | '85,00'     | '85,00'           | '20%'   | '141,67'   | '850,00'     | '10'      | 'Сырная ГП'      |
	* Движения заказа с удаленным этапом до перепроведения
		И я нажимаю на кнопку 'Движения документа'
		Тогда открылось окно 'Движения документа (Горизонтально)'
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Движения заказа с удаленным этапом до перепроведения"
		И Я закрываю окно 'Движения документа (Горизонтально)'
		Тогда открылось окно 'Заказ клиента * от * [Создан]'
	* Перепроведение заказа
		И я нажимаю на кнопку с именем 'УстановитьСледующийЭтап'
		И я нажимаю на кнопку с именем 'ФормаПровести'
	* Движения заказа с удаленным этапом после перепроведения
		И я нажимаю на кнопку 'Движения документа'
		Тогда открылось окно 'Движения документа (Горизонтально)'
		Тогда Табличный документ "ОтчетТабличныйДокумент" равен макету "Движения заказа с удаленным этапом после перепроведения"
		И Я закрываю окно 'Движения документа (Горизонтально)'
		Тогда открылось окно 'Заказ клиента * от * [Создан]'
	* Закрытие заказа
		И Я закрываю окно 'Заказ клиента * от * [Создан]'
		Тогда открылось окно 'Заказы клиентов'
		И Я закрываю окно 'Заказы клиентов'

Сценарий: 022.3. SalesOfProducts. Завершение

	И Я закрыл все окна клиентского приложения